Subject: Re: linux-next: build failure after merge of the block tree

From: Andreas Hindborg <[email-masked]>
Date: Tue, 20 Jan 2026 10:28:56 +0100

"Jens Axboe" <[email-masked]> writes:
Hi Mark,

> On 1/19/26 11:02 AM, Mark Brown wrote:
>> Hi all,
>>
>> After merging the block tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
>>
>> error: unused import: `c_str`
>>  --> /tmp/next/build/drivers/block/rnull/configfs.rs:6:5
>>   |
>> 6 |     c_str,
>>   |     ^^^^^
>>   |
>>   = note: `-D unused-imports` implied by `-D warnings`
>>   = help: to override `-D warnings` add `#[allow(unused_imports)]`
>>
>> error: aborting due to 1 previous error
>>
>> Caused by commit
>>
>>   4cef2fcda3ada (rnull: replace `kernel::c_str!` with C-Strings)
>>
>> I have used the version from 20260116 instead.
>
> Adding Andreas too. This is a bit annoying as other stuff in the
> block/io_uring tree would be nice to get exposed...
>

I am not sure how I missed that.

Can you apply the following as resolution when merging the block tree?

diff --git a/drivers/block/rnull/configfs.rs b/drivers/block/rnull/configfs.rs
index 2f5a7da03af5d..bfe998d31eb95 100644
--- a/drivers/block/rnull/configfs.rs
+++ b/drivers/block/rnull/configfs.rs
@@ -3,7 +3,6 @@
 use super::{NullBlkDevice, THIS_MODULE};
 use kernel::{
     block::mq::gen_disk::{GenDisk, GenDiskBuilder},
-    c_str,
     configfs::{self, AttributeOperations},
     configfs_attrs,
     fmt::{self, Write as _},

Best regards,
Andreas Hindborg